DEF VAR sp-companycode AS CHAR NO-UNDO.
DEF VAR lUpdate        AS LOG  NO-UNDO.
DEF VAR lReefer        AS LOG  NO-UNDO.
DEF VAR iTel           AS INT  NO-UNDO.
DEF VAR iTelReefer     AS INT  NO-UNDO.
DEF VAR iTelNOR        AS INT  NO-UNDO.
DEF VAR cBookingnoList AS CHAR NO-UNDO.
DEF VAR cTypeList      AS CHAR NO-UNDO.

DEF BUFFER b-ec-container         FOR ec-container.
DEF BUFFER b-ec-container_history FOR ec-container_history.

DISABLE TRIGGERS FOR LOAD OF b-ec-container_history.

sp-companycode = "VIA".
lUpdate        = FALSE.

FOR EACH aa-container_type WHERE
         aa-container_type.companycode = sp-companycode NO-LOCK:
  FIND aa-container_type_abbr WHERE
       aa-container_type_abbr.companycode = sp-companycode
   AND aa-container_type_abbr.abbriviationcode = aa-container_type.abbriviationcode NO-LOCK NO-ERROR.
  IF AVAILABLE aa-container_type_abbr AND aa-container_type_abbr.ind_reefer = YES THEN cTypeList = cTypeList + (IF cTypeList <> "" THEN "," ELSE "") + aa-container_type.typecode.
END.

FOR EACH b-ec-container WHERE
         b-ec-container.companycode              = sp-companycode
     AND b-ec-container.ind_non_operating_reefer = NO NO-LOCK:

  IF LOOKUP(b-ec-container.typecode,cTypeList) > 0 AND b-ec-container.ind_soc = NO
  THEN DO:

    FOR EACH b-ec-container_history WHERE
             b-ec-container_history.companycode     = sp-companycode
         AND b-ec-container_history.containerprefix = b-ec-container.containerprefix
         AND b-ec-container_history.containernr     = b-ec-container.containernr EXCLUSIVE-LOCK:

      FIND ec-status WHERE
           ec-status.companycode =

      lReefer = YES.

      FIND FIRST ca-u_shipment WHERE
                 ca-u_shipment.companycode = sp-companycode
             AND ca-u_shipment.bookingnr   = b-ec-container.bookingnr NO-LOCK NO-ERROR.
      IF AVAILABLE ca-u_shipment
      THEN DO:
        FIND FIRST ca-u_shipment_item_container WHERE
                   ca-u_shipment_item_container.companycode     = sp-companycode
               AND ca-u_shipment_item_container.shipment_seqnr  = ca-u_shipment.shipment_seqnr
               AND ca-u_shipment_item_container.containerprefix = b-ec-container.containerprefix
               AND ca-u_shipment_item_container.containernr     = b-ec-container.containernr NO-LOCK NO-ERROR.
        IF AVAILABLE ca-u_shipment_item_container AND ca-u_shipment_item_container.weight <> 0
        THEN DO:
          FIND ca-u_shipment_item WHERE
               ca-u_shipment_item.companycode    = sp-companycode
           AND ca-u_shipment_item.shipment_seqnr = ca-u_shipment_item_container.shipment_seqnr
           AND ca-u_shipment_item.item_seqnr     = ca-u_shipment_item_container.item_seqnr NO-LOCK NO-ERROR.
          IF AVAILABLE ca-u_shipment_item
          THEN DO:
            FIND ca-cargotype WHERE
                 ca-cargotype.cargotypecode = ca-u_shipment_item.cargotypecode NO-LOCK NO-ERROR.
            IF AVAILABLE ca-cargotype THEN lReefer = ca-cargotype.reefer.
          END.
        END.
      END.
      IF lReefer = NO
      THEN DO:
        iTelNOR = iTelNOR + 1.
        IF AVAILABLE ca-u_shipment THEN cBookingnoList = cBookingnoList + (IF cBookingnoList <> "" THEN ", " ELSE "") + ca-u_shipment.bookingnr.
        IF lUpdate = TRUE THEN b-ec-container.ind_non_operating_reefer = (IF lReefer = NO THEN YES ELSE NO).
      END.
    END.
  END.
END.

MESSAGE "Finished with typelist" cTypeList SKIP
        iTelNOR "NOR " (IF lUpdate = YES THEN "Updated" ELSE "Found") SKIP
        "Bookingnos" cBookingnoList
        VIEW-AS ALERT-BOX.
