DEF VAR sp-companycode AS CHAR NO-UNDO.
DEF VAR lUpdate        AS LOG  NO-UNDO.
DEF VAR lReefer        AS LOG  NO-UNDO.
DEF VAR iTel           AS INT  NO-UNDO.
DEF VAR iTelReefer     AS INT  NO-UNDO.
DEF VAR iTelNOR        AS INT  NO-UNDO.
DEF VAR cBookingnoList AS CHAR NO-UNDO.

DEF BUFFER b-ec-container FOR ec-container.

DISABLE TRIGGERS FOR LOAD OF b-ec-container.

sp-companycode = "VIA".
lUpdate        = FALSE.

FOR EACH b-ec-container WHERE
         b-ec-container.companycode              = sp-companycode
     AND b-ec-container.ind_non_operating_reefer = YES EXCLUSIVE-LOCK:

  lReefer = YES.

  FIND FIRST ca-u_shipment WHERE
             ca-u_shipment.companycode = sp-companycode
         AND ca-u_shipment.bookingnr   = b-ec-container.bookingnr NO-LOCK NO-ERROR.
  IF AVAILABLE ca-u_shipment
  THEN DO:
    FIND FIRST ca-u_shipment_item_container WHERE
               ca-u_shipment_item_container.companycode     = sp-companycode
           AND ca-u_shipment_item_container.shipment_seqnr  = ca-u_shipment.shipment_seqnr
           AND ca-u_shipment_item_container.containerprefix = b-ec-container.containerprefix
           AND ca-u_shipment_item_container.containernr     = b-ec-container.containernr NO-LOCK NO-ERROR.
    IF AVAILABLE ca-u_shipment_item_container AND ca-u_shipment_item_container.weight <> 0
    THEN DO:
      FIND ca-u_shipment_item WHERE
           ca-u_shipment_item.companycode    = sp-companycode
       AND ca-u_shipment_item.shipment_seqnr = ca-u_shipment_item_container.shipment_seqnr
       AND ca-u_shipment_item.item_seqnr     = ca-u_shipment_item_container.item_seqnr NO-LOCK NO-ERROR.
      IF AVAILABLE ca-u_shipment_item
      THEN DO:
        FIND ca-cargotype WHERE
             ca-cargotype.cargotypecode = ca-u_shipment_item.cargotypecode NO-LOCK NO-ERROR.
        IF AVAILABLE ca-cargotype THEN lReefer = ca-cargotype.reefer.
      END.
    END.
  END.
  IF lReefer = YES THEN iTelReefer = iTelReefer + 1.
  IF lReefer = NO
  THEN DO:
    iTelNOR = iTelNOR + 1.
    IF AVAILABLE ca-u_shipment THEN cBookingnoList = cBookingnoList + (IF cBookingnoList <> "" THEN ", " ELSE "") + ca-u_shipment.bookingnr.
  END.
  IF lUpdate = TRUE THEN b-ec-container.ind_non_operating_reefer = (IF lReefer = NO THEN YES ELSE NO).
  iTel = iTel + 1.
END.

MESSAGE "Finished." SKIP
        iTel "Containers " (IF lUpdate = YES THEN "Updated" ELSE "Found") SKIP
        iTelReefer "Reefers" SKIP
        iTelNOR "NOR Bookingnos" cBookingnoList
        VIEW-AS ALERT-BOX.
